#!/bin/sh

action=${1}

case ${action} in

    all)

if [ ! -e /usr/bin/curl ]; then
echo "Installing curl..."
sudo apt-get update && sudo apt-get install curl
fi

rm $(find . | grep "~")
cp ./lvpm/DEBIAN/control ./lvpm/DEBIAN/control.bak
cp ./lvpm/usr/bin/lvpm-real ./lvpm-real.bak
lvpmver=$(bzr version-info | grep revno | sed 's/revno: //')
sed -i "s/Version: 1.0/Version: $lvpmver/" ./lvpm/DEBIAN/control
lvpmsize=$(du -ch lvpm/usr/bin/* | grep total | sed "s/ /\n/g" | sed "s/\t/\n/g" | head --lines 1 | sed s/K//)
sed -i "s/Installed-Size: 10/Installed-Size: $lvpmsize/" ./lvpm/DEBIAN/control
sed -i "s/lvpmversionumber/$lvpmver/" ./lvpm/usr/bin/lvpm-real
dpkg-deb -b lvpm
mv ./lvpm/DEBIAN/control.bak ./lvpm/DEBIAN/control
mv ./lvpm-real.bak ./lvpm/usr/bin/lvpm-real
mkdir dist
mv lvpm.deb ./dist/lvpm_$lvpmver\_all.deb
cd dist
wget http://cutlersoftware.com/ubuntusetup/lubi/downloads/lvpm.deb/index.html
oldver=$(cat index.html | sed 's/\ /\n/g' | sed 's/"/\n/g' | sed 's/=/\n/g' | sed 's/\//\n/g' | grep lvpm | grep deb)
sed -i s/$oldver/lvpm_$lvpmver\_all.deb/ ./index.html
echo "Enter the cutlersoftware FTP password"
read passwd
curl -T lvpm_$lvpmver\_all.deb ftp://ubuntusetup%40cutlersoftware%2Ecom:$passwd@cutlersoftware.com/lubi/downloads/lvpm_$lvpmver\_all.deb
curl -T index.html ftp://ubuntusetup%40cutlersoftware%2Ecom:$passwd@cutlersoftware.com/lubi/downloads/lvpm.deb/index.html
cd ..
rm -r dist

esac
